Loading...
Searching...
No Matches
geo_abstract_rep< T, distributed >abstract

## Detailed Description

template<class T>
class rheolef::geo_abstract_rep< T, distributed >

Definition at line 457 of file geo.h.

Inheritance diagram for geo_abstract_rep< T, distributed >:

## Public Types

typedef geo_abstract_base_rep< T > | base
typedef base::size_type | size_type
typedef base::node_type | node_type
typedef base::const_reference | const_reference
typedef std::map< size_type, node_type, std::less< size_type >, heap_allocator< std::pair< size_type, node_type > > > | node_map_type
Public Types inherited from geo_abstract_base_rep< T >
enum | geo_rep_variant_type { geo = 0 , geo_domain = 1 , geo_domain_indirect = 2 , max_variant = 3 }
typedef geo_element_hack::size_type | size_type
typedef point_basic< T > | node_type
typedef reference_element::variant_type | variant_type
typedef geo_element & | reference
typedef const geo_element & | const_reference
typedef space_constant::coordinate_type | coordinate_type
typedef std::map< size_type, geo_element_auto<> > | geo_element_map_type
typedef hack_array< geo_element_hack >::iterator | iterator_by_variant
typedef geo_iterator< geo_element, geo_element &, geo_element *, iterator_by_variant > | iterator
typedef hack_array< geo_element_hack >::const_iterator | const_iterator_by_variant
typedef geo_iterator< geo_element, const geo_element &, const geo_element *, const_iterator_by_variant > | const_iterator

## Public Member Functions

| geo_abstract_rep ()
virtual geo_abstract_rep< T, distributed > * | clone () const =0
virtual | ~geo_abstract_rep ()
virtual distributor | geo_element_ios_ownership (size_type dim) const =0
virtual const_reference | dis_get_geo_element (size_type dim, size_type dis_ige) const =0
virtual size_type | ige2ios_dis_ige (size_type dim, size_type ige) const =0
virtual size_type | dis_ige2ios_dis_ige (size_type dim, size_type dis_ige) const =0
virtual size_type | ios_ige2dis_ige (size_type dim, size_type ios_ige) const =0
virtual const domain_indirect_basic< distributed > & | get_domain_indirect (size_type i) const =0
virtual const domain_indirect_basic< distributed > & | get_domain_indirect (const std::string &name) const =0
virtual void | insert_domain_indirect (const domain_indirect_basic< distributed > &dom) const =0
virtual const disarray< node_type, distributed > & | get_nodes () const =0
virtual void | set_nodes (const disarray< node_type, distributed > &)=0
virtual void | locate (const disarray< point_basic< T >, distributed > &x, disarray< size_type, distributed > &dis_ie, bool do_check=true) const =0
virtual void | trace_ray_boundary (const disarray< point_basic< T >, distributed > &x, const disarray< point_basic< T >, distributed > &v, disarray< size_type, distributed > &dis_ie, disarray< point_basic< T >, distributed > &y, bool do_check=false) const =0
virtual void | trace_move (const disarray< point_basic< T >, distributed > &x, const disarray< point_basic< T >, distributed > &v, disarray< size_type, distributed > &dis_ie, disarray< point_basic< T >, distributed > &y) const =0
virtual void | nearest (const disarray< point_basic< T >, distributed > &x, disarray< point_basic< T >, distributed > &x_nearest, disarray< size_type, distributed > &dis_ie) const =0
virtual void | set_ios_permutation (disarray< size_type, distributed > &idof2ios_dis_idof) const =0
virtual const std::array< disarray< size_type, distributed >, reference_element::max_variant > & | get_igev2ios_dis_igev () const =0
Public Member Functions inherited from geo_abstract_base_rep< T >
| geo_abstract_base_rep ()
virtual | ~geo_abstract_base_rep ()
virtual size_type | variant () const =0
virtual std::string | name () const =0
virtual std::string | familyname () const =0
virtual size_type | dimension () const =0
virtual size_type | serial_number () const =0
virtual size_type | map_dimension () const =0
virtual bool | is_broken () const =0
virtual coordinate_type | coordinate_system () const =0
virtual const basis_basic< T > & | get_piola_basis () const =0
virtual const node_type & | xmin () const =0
virtual const node_type & | xmax () const =0
virtual const T & | hmin () const =0
virtual const T & | hmax () const =0
virtual const geo_size & | sizes () const =0
virtual const geo_size & | ios_sizes () const =0
virtual const distributor & | geo_element_ownership (size_type dim) const =0
virtual const_reference | get_geo_element (size_type dim, size_type ige) const =0
virtual const geo_element & | bgd2dom_geo_element (const geo_element &bgd_K) const
virtual const geo_element & | dom2bgd_geo_element (const geo_element &dom_K) const
virtual size_type | neighbour (size_type ie, size_type loc_isid) const =0
virtual void | neighbour_guard () const =0
virtual const_iterator_by_variant | begin_by_variant (variant_type variant) const =0
virtual const_iterator_by_variant | end_by_variant (variant_type variant) const =0
virtual const geo_element_map_type & | get_external_geo_element_map (size_type variant) const =0
const_iterator | begin (size_type dim) const
const_iterator | end (size_type dim) const
virtual size_type | n_node () const =0
virtual const node_type & | node (size_type inod) const =0
virtual const node_type & | dis_node (size_type dis_inod) const =0
virtual void | dis_inod (const geo_element &K, std::vector< size_type > &dis_inod) const =0
virtual size_type | dis_inod2dis_iv (size_type dis_inod) const =0
virtual size_type | n_domain_indirect () const =0
virtual bool | have_domain_indirect (const std::string &name) const =0
virtual void | reset_order (size_type order)=0
virtual size_type | seq_locate (const point_basic< T > &x, size_type dis_ie_guest=std::numeric_limits< size_type >::max()) const =0
virtual size_type | dis_locate (const point_basic< T > &x, size_type dis_ie_guest=std::numeric_limits< size_type >::max()) const =0
virtual size_type | seq_trace_move (const point_basic< T > &x, const point_basic< T > &v, point_basic< T > &y) const =0
virtual size_type | dis_trace_move (const point_basic< T > &x, const point_basic< T > &v, point_basic< T > &y) const =0
virtual size_type | seq_nearest (const point_basic< T > &x, point_basic< T > &x_nearest) const =0
virtual size_type | dis_nearest (const point_basic< T > &x, point_basic< T > &x_nearest) const =0
virtual odiststream & | put (odiststream &ops) const =0
virtual bool | check (bool verbose) const =0
bool | operator== (const geo_abstract_base_rep< T > &omega2) const

## Member Typedef Documentation

## base

template<class T >

typedef geo_abstract_base_rep<T> base

Definition at line 462 of file geo.h.

## size_type

template<class T >

typedef base::size_type size_type

Definition at line 463 of file geo.h.

## node_type

template<class T >

typedef base::node_type node_type

Definition at line 464 of file geo.h.

## const_reference

template<class T >

typedef base::const_reference const_reference

Definition at line 465 of file geo.h.

## node_map_type

template<class T >

typedef std::map<size_type, node_type, std::less<size_type>, heap_allocator<std::pair<size_type,node_type> > > node_map_type

Definition at line 467 of file geo.h.

## Constructor & Destructor Documentation

## geo_abstract_rep()

template<class T >

geo_abstract_rep | ( |  | ) |

Definition at line 471 of file geo.h.

## ~geo_abstract_rep()

template<class T >

virtual ~geo_abstract_rep | ( |  | ) |

virtual

Definition at line 473 of file geo.h.

## Member Function Documentation

## clone()

template<class T >

virtual geo_abstract_rep< T, distributed > * clone | ( |  | ) | const

pure virtual

## geo_element_ios_ownership()

template<class T >

virtual distributor geo_element_ios_ownership | ( | size_type | dim | ) | const

pure virtual

## dis_get_geo_element()

template<class T >

virtual const_reference dis_get_geo_element | ( | size_type | dim,
|  | size_type | dis_ige
| ) |  | const

pure virtual

## ige2ios_dis_ige()

template<class T >

virtual size_type ige2ios_dis_ige | ( | size_type | dim,
|  | size_type | ige
| ) |  | const

pure virtual

## dis_ige2ios_dis_ige()

template<class T >

virtual size_type dis_ige2ios_dis_ige | ( | size_type | dim,
|  | size_type | dis_ige
| ) |  | const

pure virtual

## ios_ige2dis_ige()

template<class T >

virtual size_type ios_ige2dis_ige | ( | size_type | dim,
|  | size_type | ios_ige
| ) |  | const

pure virtual

## get_domain_indirect() [1/2]

template<class T >

virtual const domain_indirect_basic< distributed > & get_domain_indirect | ( | size_type | i | ) | const

pure virtual

## get_domain_indirect() [2/2]

template<class T >

virtual const domain_indirect_basic< distributed > & get_domain_indirect | ( | const std::string & | name | ) | const

pure virtual

## insert_domain_indirect()

template<class T >

virtual void insert_domain_indirect | ( | const domain_indirect_basic< distributed > & | dom | ) | const

pure virtual

## get_nodes()

template<class T >

virtual const disarray< node_type, distributed > & get_nodes | ( |  | ) | const

pure virtual

## set_nodes()

template<class T >

virtual void set_nodes | ( | const disarray< node_type, distributed > & |  | ) |

pure virtual

## locate()

template<class T >

virtual void locate | ( | const disarray< point_basic< T >, distributed > & | x,
|  | disarray< size_type, distributed > & | dis_ie,
|  | bool | do_check = `true`
| ) |  | const

pure virtual

## trace_ray_boundary()

template<class T >

virtual void trace_ray_boundary | ( | const disarray< point_basic< T >, distributed > & | x,
|  | const disarray< point_basic< T >, distributed > & | v,
|  | disarray< size_type, distributed > & | dis_ie,
|  | disarray< point_basic< T >, distributed > & | y,
|  | bool | do_check = `false`
| ) |  | const

pure virtual

## trace_move()

template<class T >

virtual void trace_move | ( | const disarray< point_basic< T >, distributed > & | x,
|  | const disarray< point_basic< T >, distributed > & | v,
|  | disarray< size_type, distributed > & | dis_ie,
|  | disarray< point_basic< T >, distributed > & | y
| ) |  | const

pure virtual

## nearest()

template<class T >

virtual void nearest | ( | const disarray< point_basic< T >, distributed > & | x,
|  | disarray< point_basic< T >, distributed > & | x_nearest,
|  | disarray< size_type, distributed > & | dis_ie
| ) |  | const

pure virtual

## set_ios_permutation()

template<class T >

virtual void set_ios_permutation | ( | disarray< size_type, distributed > & | idof2ios_dis_idof | ) | const

pure virtual

## get_igev2ios_dis_igev()

template<class T >

virtual const std::array< disarray< size_type, distributed >, reference_element::max_variant > & get_igev2ios_dis_igev | ( |  | ) | const

pure virtual

The documentation for this class was generated from the following file:

- /build/rheolef-Hrneba/rheolef-7.2/main/lib/geo.h